/*
 * Copyright 2010 Nabeel Mukhtar 
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 *  http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 * 
 */
package com.google.code.stackexchange.client.constant;

/**
 * The Class StackExchangeApiMethods.
 */
public final class StackExchangeApiMethods {

	/** The Constant GET_QUESTIONS. */
	public static final String GET_QUESTIONS = "com.google.code.stackexchange.client.getQuestions";
	
	/** The Constant GET_UN_ANSWERED_QUESTIONS. */
	public static final String GET_UN_ANSWERED_QUESTIONS = "com.google.code.stackexchange.client.getUnAnsweredQuestions";
	
	/** The Constant GET_QUESTIONS_BY_USER. */
	public static final String GET_QUESTIONS_BY_USER = "com.google.code.stackexchange.client.getQuestionsByUser";
	
	/** The Constant GET_FAVORITE_QUESTIONS. */
	public static final String GET_FAVORITE_QUESTIONS = "com.google.code.stackexchange.client.getFavoriteQuestions";
	
	/** The Constant GET_QUESTION. */
	public static final String GET_QUESTION = "com.google.code.stackexchange.client.getQuestion";
	
	/** The Constant GET_QUESTION_TIMELINE. */
	public static final String GET_QUESTION_TIMELINE = "com.google.code.stackexchange.client.getQuestionTimeline";
	
	/** The Constant GET_USERS. */
	public static final String GET_USERS = "com.google.code.stackexchange.client.getUsers";
	
	/** The Constant GET_USER_TIMELINE. */
	public static final String GET_USER_TIMELINE = "com.google.code.stackexchange.client.getUserTimeline";
	
	/** The Constant GET_USER_MENTIONS. */
	public static final String GET_USER_MENTIONS = "com.google.code.stackexchange.client.getUserMentions";
	
	/** The Constant GET_USER_REPUTATIONS. */
	public static final String GET_USER_REPUTATIONS = "com.google.code.stackexchange.client.getUserReputations";
	
	/** The Constant GET_USER. */
	public static final String GET_USER = "com.google.code.stackexchange.client.getUser";
	
	/** The Constant GET_BADGES. */
	public static final String GET_BADGES = "com.google.code.stackexchange.client.getBadges";
	
	/** The Constant GET_BADGES_BY_NAME. */
	public static final String GET_BADGES_BY_NAME = "com.google.code.stackexchange.client.getBadgesByName";
	
	/** The Constant GET_BADGES_BY_TAGS. */
	public static final String GET_BADGES_BY_TAGS = "com.google.code.stackexchange.client.getBadgesByTags";
	
	/** The Constant GET_BADGES_FOR_USER. */
	public static final String GET_BADGES_FOR_USER = "com.google.code.stackexchange.client.getBadgesForUser";
	
	/** The Constant GET_TAGS. */
	public static final String GET_TAGS = "com.google.code.stackexchange.client.getTags";
	
	/** The Constant GET_TAGS_FOR_USER. */
	public static final String GET_TAGS_FOR_USER = "com.google.code.stackexchange.client.getTagsForUser";
	
	/** The Constant GET_ANSWERS_BY_USER. */
	public static final String GET_ANSWERS_BY_USER = "com.google.code.stackexchange.client.getAnswersByUser";
	
	/** The Constant GET_ANSWERS_BY_QUESTION. */
	public static final String GET_ANSWERS_BY_QUESTION = "com.google.code.stackexchange.client.getAnswersByQuestion";
	
	/** The Constant GET_ANSWER. */
	public static final String GET_ANSWER = "com.google.code.stackexchange.client.getAnswer";
	
	/** The Constant GET_STATISTICS. */
	public static final String GET_STATISTICS = "com.google.code.stackexchange.client.getStatistics";
	
	/** The Constant GET_COMMENTS_BY_USER. */
	public static final String GET_COMMENTS_BY_USER = "com.google.code.stackexchange.client.getCommentsByUser";
	
	/** The Constant GET_COMMENTS_BY_USER_TO_USER. */
	public static final String GET_COMMENTS_BY_USER_TO_USER = "com.google.code.stackexchange.client.getCommentsByUserToUser";
	
	/** The Constant GET_COMMENT. */
	public static final String GET_COMMENT = "com.google.code.stackexchange.client.getComment";
	
	/** The Constant GET_REVISIONS_FOR_POST. */
	public static final String GET_REVISIONS_FOR_POST = "com.google.code.stackexchange.client.getRevisionsForPost";
	
	/** The Constant GET_REVISION_FOR_POST. */
	public static final String GET_REVISION_FOR_POST = "com.google.code.stackexchange.client.getRevisionForPost";
	
	/** The Constant GET_BADGE_RECIPIENTS. */
	public static final String GET_BADGE_RECIPIENTS = "com.google.code.stackexchange.client.getBadgesRecipients";
	
	/** The Constant SEARCH_QUESTIONS. */
	public static final String SEARCH_QUESTIONS = "com.google.code.stackexchange.client.searchQuestions";

	public static final String GET_MODERATORS = "com.google.code.stackexchange.client.getModerators";
	
	public static final String GET_COMMENTS_FOR_ANSWERS = "com.google.code.stackexchange.client.getCommentsForAnswers";
	
	public static final String GET_COMMENTS_FOR_POSTS = "com.google.code.stackexchange.client.getCommentsForPosts";

	public static final String GET_COMMENTS_FOR_QUESTIONS = "com.google.code.stackexchange.client.getCommentsForQuestions";
	
	public static final String GET_ASSOCIATED_USERS = "com.google.code.stackexchange.client.getAssociatedUsers";
	
	public static final String GET_SITES = "com.google.code.stackexchange.client.getSites";
	/**
	 * Instantiates a new stack exchange api methods.
	 */
	private StackExchangeApiMethods() {}
}
